import { createSelector } from 'reselect'

import { TStoreState } from '~/store/StoreConfig.types'

export const selectInvoiceStore = (state: TStoreState) => state?.invoice

export const selectInvoicesCustomer = createSelector(
  [selectInvoiceStore],
  ({ saleInvoices }) =>
    saleInvoices?.filter(invoice => invoice?.customerCode === '1'),
)
