# 👾 React Native Template Air Liquide Digital Team

<p>
  <img alt="Documentation" src="https://img.shields.io/badge/documentation-yes-brightgreen.svg" target="_blank" />
  
  <img alt="License: MIT" src="https://img.shields.io/badge/License-MIT-yellow.svg" target="_blank" />

  <a href="https://www.npmjs.com/package/react-native-template-albdigitalteam">
    <img alt="React Native Template ALB Digital Team" src="https://img.shields.io/badge/ALB%20Digital%20Team-friendly-blue" target="_blank" />
  </a>

</p>

> Clean and minimalist React Native template for a quick start.

## ⭐️ Features

- Elegant usage directly within the [React Native CLI](https://github.com/react-native-community/cli)
- Consistent with the default React Native template

## ⬇️ Usage

```sh
npx react-native init MyApp --template react-native-template-albdigitalteam
```

### Note on the legacy CLI

There seems to be quite some confusion about the legacy CLI. This template only works with the new CLI. Make sure you have uninstalled the legacy `react-native-cli` first (`npm uninstall -g react-native-cli`), for the below command to work. If you wish to not use `npx`, you can also install the new CLI globally (`npm i -g @react-native-community/cli` or `yarn global add @react-native-community/cli`).

Further information can be found here: https://github.com/react-native-community/cli#about

#### Congratulations your repo is **_ALB Digital Team-friendly_**. Time to flaunt it!

Add the ALB Digital Team-friendly badge to your README using the following markdown:

```
[![ALB Digital Team friendly](https://img.shields.io/badge/ALB%20Digital%20Team-friendly-blue)](https://www.npmjs.com/package/react-native-template-albdigitalteam)
```

## 💻 Contributing

Contributions are very welcome. Please check out the [contributing document](CONTRIBUTING.md).

## 🔖 License

This project is [MIT](LICENSE) licensed.

## 🛣 Roadmap

- Include Pipeline directory (Android + iOS)
- Configure Redux Saga Test Plan
- Configure Enzyme Suite Test
- Theme Provider
- Redux Tool Kit
