import React from 'react'
import { View, Text } from 'react-native'

import { translate } from '~/lib/i18n/i18n'
import ModalScreenStyle from '~/screens/Modal/ModalScreen.style'

export const ModalScreen: React.FC = () => {
  const styles = ModalScreenStyle()

  return (
    <View style={styles.modalScreen__containerView}>
      <Text>{translate('modal.title')}</Text>
    </View>
  )
}
